summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/password-store.sh')
-rwxr-xr-xsrc/password-store.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 706eada..d9d458a 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -275,11 +275,12 @@ case "$command" in
echo "Usage: $program $command pass-names..."
exit 1
fi
- if ! tree --help |& grep -q "^ --matchdirs"; then
+ if ! tree --version | grep -q "Jason A. Donenfeld"; then
echo "ERROR: $program: incompatible tree command"
echo
echo "Your version of the tree command is missing the relevent patch to add the"
- echo "--matchdirs switch. Please ask your distribution to patch your version of"
+ echo "--matchdirs and --caseinsensitive switches. Please ask your distribution"
+ echo "to patch your version of"
echo "tree with:"
echo " http://git.zx2c4.com/password-store/plain/contrib/tree-1.6.0-matchdirs.patch"
echo "Sorry for the inconvenience."
@@ -287,7 +288,7 @@ case "$command" in
fi
terms="$@"
echo "Search Terms: $terms"
- tree -l --noreport -P "*${terms// /*|*}*" --prune --matchdirs "$PREFIX" | tail -n +2 | sed 's/\.gpg$//'
+ tree -l --noreport -P "*${terms// /*|*}*" --prune --matchdirs --caseinsensitive "$PREFIX" | tail -n +2 | sed 's/\.gpg$//'
;;
insert)
multiline=0
/feed2imap.git/commit/lib/feed2imap/imap.rb?h=ruby22&id=527d1f756ab57cb5b1449893dbff5ab1ead861fc&follow=1'>provide a way to disable SSL certificate verificationLucas Nussbaum4-1/+12 2010-04-18update changelogLucas Nussbaum1-0/+4 2010-04-18Update rubyimap.rbLucas Nussbaum1-5/+38 Update rubyimap.rb to upstream revision 27336 2010-03-17Document the maildir targetSandra Snan3-5/+5 I looked for a good feed to maildir program, and I couldn’t find one. Turns out, by looking at feed2imaps source code, that it has that function. So here’s a documentation patch so it’s easier to find. This patch shouldn’t touch any code. Generated by git. Sandra Signed-off-by: Sandra Snan <sandra.snan@handgranat.org> 2009-12-26Avoid using "acme.com"Lucas Nussbaum4-10/+19 Patch from Guido Berhoerster <guido@berhoerster.name>: Hello, here is a small patch that avoids using the valid(!) domain "acme.com" for generating message ids and email addresses. It adds a new global configuration option "default-email" which will be used in case a feed does provide one, currently feed2imap resorts to "feed2imap@acme.com". If this configuration option is not given it will basically default to <logname>@<hostname> as returned by Etc.getlogin and Socket.gethostname. Yours, 2009-09-04fix to use Message-Id instead of X-CacheIndexLucas Nussbaum1-5/+2 2009-09-03added the forth arg to ConfigFeed::new for maildirLucas Nussbaum1-1/+1